const translation = {
  knowledge: 'ナレッジ',
  chunkingMode: {
    general: '一般',
    parentChild: '親子',
  },
  parentMode: {
    paragraph: '段落',
    fullDoc: '全体',
  },
  externalTag: '外部',
  externalAPI: '外部API',
  externalAPIPanelTitle: '外部ナレッジ連携API',
  externalKnowledgeId: '外部ナレッジID',
  externalKnowledgeName: '外部ナレッジ名',
  externalKnowledgeDescription: 'ナレッジの説明',
  externalKnowledgeIdPlaceholder: 'ナレッジIDを入力',
  externalKnowledgeNamePlaceholder: 'ナレッジベース名を入力',
  externalKnowledgeDescriptionPlaceholder: 'このナレッジベースの説明（任意）',
  learnHowToWriteGoodKnowledgeDescription: '効果的なナレッジの説明の書き方',
  externalAPIPanelDescription: '外部ナレッジ連携APIは、Dify外のナレッジベースと連携し、そこからナレッジを取得するために使用します。',
  externalAPIPanelDocumentation: '外部ナレッジ連携APIの作成方法',
  localDocs: 'ローカルドキュメント',
  documentCount: ' ドキュメント',
  wordCount: ' k 単語',
  appCount: ' リンクされたアプリ',
  createDataset: 'ナレッジを作成',
  createNewExternalAPI: '新しい外部ナレッジ連携APIを作成',
  noExternalKnowledge: '外部ナレッジ連携APIがありません。ここをクリックして作成してください',
  createExternalAPI: '外部ナレッジ連携APIを追加',
  editExternalAPIFormTitle: '外部ナレッジ連携APIを編集',
  editExternalAPITooltipTitle: '連携中のナレッジ',
  editExternalAPIConfirmWarningContent: {
    front: 'この外部ナレッジ連携APIは',
    end: '件の外部ナレッジと連携しており、この変更はすべてに適用されます。変更を保存しますか？',
  },
  editExternalAPIFormWarning: {
    front: 'この外部APIは',
    end: '件の外部ナレッジと連携しています',
  },
  deleteExternalAPIConfirmWarningContent: {
    title: {
      front: '削除',
      end: 'しますか？',
    },
    content: {
      front: 'この外部ナレッジ連携APIは',
      end: '件の外部ナレッジと連携しています。このAPIを削除すると、すべて無効になります。このAPIを削除しますか？',
    },
    noConnectionContent: 'このAPIを削除しますか？',
  },
  selectExternalKnowledgeAPI: {
    placeholder: '外部ナレッジ連携APIを選択',
  },
  connectDataset: '外部ナレッジベースと連携',
  connectDatasetIntro: {
    title: '外部ナレッジベースとの連携方法',
    content: {
      front: '外部ナレッジベースと連携するには、まず外部APIを作成する必要があります。以下の手順を参照し、',
      link: '外部APIの作成方法',
      end: 'をご確認ください。次に、対応するナレッジIDを左側のフォームに入力してください。すべての情報が正しければ、連携ボタンをクリックすると、自動的にナレッジベースの検索テストに移動します。',
    },
    learnMore: '詳細はこちら',
  },
  connectHelper: {
    helper1: 'APIとナレッジベースIDを使って外部ナレッジベースと連携します。現在、',
    helper2: '検索機能のみがサポートされています。',
    helper3: 'この機能を使用する前に、',
    helper4: 'ヘルプドキュメント',
    helper5: 'をよくお読みください。',
  },
  createDatasetIntro: '独自のテキストデータをインポートするか、LLMコンテキストの強化のためにWebhookを介してリアルタイムでデータを書き込むことができます。',
  deleteDatasetConfirmTitle: 'このナレッジを削除しますか？',
  deleteDatasetConfirmContent:
    'ナレッジを削除すると元に戻すことはできません。ユーザーはもはやあなた様のナレッジにアクセスできず、すべてのプロンプトの設定とログが永久に削除されます。',
  datasetUsedByApp: 'このナレッジは一部のアプリによって使用されています。アプリはこのナレッジを使用できなくなり、すべてのプロンプト設定とログは永久に削除されます。',
  datasetDeleted: 'ナレッジが削除されました',
  datasetDeleteFailed: 'ナレッジの削除に失敗しました',
  didYouKnow: 'ご存知ですか？',
  intro1: 'ナレッジはDifyアプリケーションに統合することができます',
  intro2: 'コンテキストとして',
  intro3: '、',
  intro4: 'または',
  intro5: '作成することができます',
  intro6: '単体のChatGPTインデックスプラグインとして公開するために',
  unavailable: '利用不可',
  unavailableTip: '埋め込みモデルが利用できません。デフォルトの埋め込みモデルを設定する必要があります',
  datasets: 'ナレッジ',
  datasetsApi: 'API ACCESS',
  externalKnowledgeForm: {
    connect: '連携',
    cancel: 'キャンセル',
  },
  externalAPIForm: {
    name: '名前',
    endpoint: 'APIエンドポイント',
    apiKey: 'APIキー',
    save: '保存',
    cancel: 'キャンセル',
    edit: '編集',
    encrypted: {
      front: 'APIトークンは',
      end: '技術で暗号化され、安全に保存されます。',
    },
  },
  retrieval: {
    semantic_search: {
      title: 'ベクトル検索',
      description: 'クエリの埋め込みを生成し、そのベクトル表現に最も類似したテキストチャンクを検索します。',
    },
    full_text_search: {
      title: '全文検索',
      description: 'ドキュメント内のすべての用語をインデックス化し、ユーザーが任意の用語を検索してそれに関連するテキストチャンクを取得できるようにします。',
    },
    hybrid_search: {
      title: 'ハイブリッド検索',
      description: '全文検索とベクトル検索を同時に実行し、ユーザーのクエリに最適なマッチを選択するためにRerank付けを行います。RerankモデルAPIの設定が必要です。',
      recommend: '推奨',
    },
    invertedIndex: {
      title: '転置インデックス',
      description: '効率的な検索に使用される構造です。各用語が含まれるドキュメントまたはWebページを指すように、用語ごとに整理されています。',
    },
    change: '変更',
    changeRetrievalMethod: '検索方法の変更',
  },
  docsFailedNotice: 'ドキュメントのインデックス作成に失敗しました',
  retry: '再試行',
  documentsDisabled: '{{num}}件のドキュメントが無効 - 30日以上非アクティブ',
  enable: '有効化',
  indexingTechnique: {
    high_quality: '高品質',
    economy: '経済',
  },
  indexingMethod: {
    semantic_search: 'ベクトル検索',
    full_text_search: 'フルテキスト検索',
    hybrid_search: 'ハイブリッド検索',
    invertedIndex: '転置',
  },
  defaultRetrievalTip: 'デフォルトでは、マルチパス検索が使用されます。複数のナレッジベースから情報を取得した後、再ランキングを行います。',
  mixtureHighQualityAndEconomicTip: '高品質なナレッジベースとコスト重視のナレッジベースを混在させるには、Rerankモデルが必要です。',
  inconsistentEmbeddingModelTip: '選択されたナレッジベースの埋め込みモデルに一貫性がない場合、Rerankモデルが必要です。',
  mixtureInternalAndExternalTip: '内部ナレッジと外部ナレッジを混在させるには、Rerankモデルが必要です。',
  allExternalTip: '外部ナレッジのみを使用する場合、Rerankモデルを有効にするかを選択できます。有効にしない場合、検索結果はスコアに基づいてソートされます。異なるナレッジベースで検索戦略が一貫していないと、結果が不正確になる可能性があります。',
  retrievalSettings: '検索設定',
  rerankSettings: 'Rerank設定',
  weightedScore: {
    title: 'ウェイト設定',
    description: '重みを調整することで、並べ替え戦略はセマンティックマッチングとキーワードマッチングのどちらを優先するかを決定します。',
    semanticFirst: 'セマンティック優先',
    keywordFirst: 'キーワード優先',
    customized: 'カスタマイズ',
    semantic: 'セマンティクス',
    keyword: 'キーワード',
  },
  nTo1RetrievalLegacy: '製品計画によると、N-to-1 Retrievalは9月に正式に廃止される予定です。それまでは通常通り使用できます。',
  nTo1RetrievalLegacyLink: '詳細はこちら',
  nTo1RetrievalLegacyLinkText: ' N-to-1 retrievalは9月に正式に廃止されます。',
  batchAction: {
    selected: '選択済み',
    enable: '有効にする',
    disable: '無効にする',
    archive: 'アーカイブ',
    delete: '削除',
    cancel: 'キャンセル',
  },
  preprocessDocument: '{{num}}件のドキュメントを前処理',
  allKnowledge: 'すべての知識',
  allKnowledgeDescription: 'このワークスペースにすべてのナレッジを表示する場合に選択します。ワークスペースのオーナーのみがすべてのナレッジを管理できます。',
}

export default translation
